
Name:           lite-xl
Version:        2.1.0
Release:        1%{?dist}
Summary:        A lightweight text editor written in Lua

License:        MIT
URL:            https://github.com/lite-xl/lite-xl
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
Lite XL is derived from lite. It is a lightweight text editor written
mostly in Lua — it aims to provide something practical, pretty, small
and fast easy to modify and extend, or to use without doing either.

The aim of Lite XL compared to lite is to be more user friendly,
improve the quality of font rendering, and reduce CPU usage.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.lite_xl.lite_xl.desktop
%{_datadir}/metainfo/org.lite_xl.lite_xl.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_docdir}/%{name}/

%license LICENSE

%changelog
* Wed Nov 02 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 2.1.0-1
- Update to 2.1.0

* Tue Dec 28 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.0.4-1
- Update to 2.0.4

* Thu Sep 30 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.0.2-1
- Update to 2.0.2

* Fri Sep 03 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.0.1-1
- Update to 2.0.1

* Tue Aug 17 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.0.0-2
- Update lua patch

* Tue Aug 17 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Tue Jun 22 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.12-1
- Update to 1.16.12

* Fri Jun 11 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.11-1
- Update to 1.16.11

* Thu May 13 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.9-3
- fix project search

* Sat May 08 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.9-2
- Add desktop file, update patch for bit32

* Sat May 08 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.9-1
- Initial spec


